import request from '/@/utils/request';

export function contingencyApi() {
    return {
        //应急队伍一览
        getTeamManagementList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/page/list`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍新增
        addEmergencyTeam: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/add`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍详情
        seeEmergencyTeam: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/info/${params}`,
                method: 'get'
            });
        },
        // 应急队伍编辑
        editEmergencyTeam: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/update`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍删除
        deleteEmergencyTeam: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/batchDelete`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍人员一览
        getEmergencyTeamPersonnelList: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/memberList/${params}`,
                method: 'get'
                // data:params
            });
        },
        // 应急队伍人员新增
        addEmergencyTeamPersonnel: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/addMember`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍人员详情
        seeEmergencyTeamPersonnel: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/infoMember/${params}`,
                method: 'get'
            });
        },
        // 应急队伍人员编辑
        editEmergencyTeamPersonnel: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/updateMember`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍人员删除
        deleteEmergencyTeamPersonnel: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyTeam/deleteMember/${params}`,
                method: 'get'
            });
        }
    };
}
